XnModuleLockAwareInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnStatus(* | SetLockState )(XnModuleNodeHandle hInstance, XnBool bLocked)
XnBool(* | GetLockState )(XnModuleNodeHandle hInstance)
XnStatus(* | RegisterToLockChange )(XnModuleNodeHandle hInstance, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromLockChange )(XnModuleNodeHandle hInstance, XnCallbackHandle hCallback)

## Member Data Documentation

## GetLockState

XnBool(* XnModuleLockAwareInterface::GetLockState) (XnModuleNodeHandle hInstance)

Gets current lock state.

Parameters

  hInstance | [in] A handle to the instance.

## RegisterToLockChange

XnStatus(* XnModuleLockAwareInterface::RegisterToLockChange) (XnModuleNodeHandle hInstance, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to lock changes.

Parameters

  hInstance | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when lock changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromLockChange().

## SetLockState

XnStatus(* XnModuleLockAwareInterface::SetLockState) (XnModuleNodeHandle hInstance, XnBool bLocked)

Notifies the node its lock state was changed.

Parameters

  hInstance | [in] A handle to the instance.
  bLocked | [in] Current lock state.

## UnregisterFromLockChange

void(* XnModuleLockAwareInterface::UnregisterFromLockChange) (XnModuleNodeHandle hInstance, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToLockChange().

Parameters

  hInstance | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from RegisterToLockChange().

The documentation for this struct was generated from the following file:

- XnModuleInterface.h